classification
Title: urllib.py fails with username/password proxies (PR#221)
Type: enhancement Stage:
Components: Library (Lib) Versions:
process
Status: closed Resolution: later
Dependencies: Superseder:
Assigned To: fdrake Nosy List: fdrake, gvanrossum, jhylton
Priority: low Keywords:

Created on 2000-07-31 21:06 by anonymous, last changed 2000-09-15 17:26 by fdrake. This issue is now closed.

Messages (6)
msg113 - (view) Author: Nobody/Anonymous (nobody) Date: 2000-07-31 21:06
Jitterbug-Id: 221
Submitted-By: tarka@zip.com.au
Date: Tue, 29 Feb 2000 19:15:45 -0500 (EST)
Version: 1.5.2
OS: Irix


urllib.py fails to handle proxies with user and password information 
included in the proxy URL, e.g. http://ssmith:testpass@10.11.12.13:1234

The following example ...

	import os, urllib
	os.environ['http_proxy'] = "http://ssmith:testpass01@10.11.12.13:1234"
	f = urllib.urlopen('http://www.python.org')
	data = f.read()
	print data

fails with the following errors :

Traceback (innermost last):
  File "url.py", line 3, in ?
    f = urllib.urlopen('http://www.python.org')
  File "/var/share//lib/python1.5/urllib.py", line 59, in urlopen
    return _urlopener.open(url)
  File "/var/share//lib/python1.5/urllib.py", line 157, in open
    return getattr(self, name)(url)
  File "/var/share//lib/python1.5/urllib.py", line 253, in open_http
    h = httplib.HTTP(host)
  File "/var/share//lib/python1.5/httplib.py", line 51, in __init__
    if host: self.connect(host, port)
  File "/var/share//lib/python1.5/httplib.py", line 75, in connect
    raise socket.error, "nonnumeric port"
IOError: [Errno socket error] nonnumeric port






====================================================================
Audit trail:
Mon May 22 17:35:04 2000	guido	moved from incoming to open
msg114 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2000-08-31 17:15
Will be documented as a limitation in the implementation, as suggested in bug #111725.  I'm converting this to a feature request that can be dealt with in a subsequent version of Python.
msg115 - (view) Author: Jeremy Hylton (jhylton) (Python triager) Date: 2000-09-07 22:04
Please do triage on this bug.
msg116 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2000-09-13 10:17
Fred, please document this limitation, add this to the feature-requests PEP (to be created), and then close the bug.
msg117 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2000-09-15 04:16
This limitation was already documented, but I've added a note that should be easier to find for people looking for limitations.  Also fixed typo from existing note.  This is checked in as Doc/lib/liburllib.tex revision 1.29.
msg118 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2000-09-15 17:26
Moved request to Feature Requests PEP & submitted to the PEP Editor.
History
Date User Action Args
2000-07-31 21:06:44anonymouscreate